diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/includes/class-wp-ms-themes-list-table.php ./wordpress-3.4/wp-admin/includes/class-wp-ms-themes-list-table.php
*** ./wordpress-3.3.2/wp-admin/includes/class-wp-ms-themes-list-table.php	2011-04-29 15:05:12.000000000 -0500
--- ./wordpress-3.4/wp-admin/includes/class-wp-ms-themes-list-table.php	2012-03-21 11:19:27.000000000 -0500
***************
*** 15,28 ****
  	function __construct() {
  		global $status, $page;
  
! 		$default_status = get_user_option( 'themes_last_view' );
! 		if ( empty( $default_status ) )
! 			$default_status = 'all';
! 		$status = isset( $_REQUEST['theme_status'] ) ? $_REQUEST['theme_status'] : $default_status;
! 		if ( !in_array( $status, array( 'all', 'enabled', 'disabled', 'upgrade', 'search' ) ) )
  			$status = 'all';
- 		if ( $status != $default_status && 'search' != $status )
- 			update_user_meta( get_current_user_id(), 'themes_last_view', $status );
  
  		$page = $this->get_pagenum();
  
--- 15,23 ----
  	function __construct() {
  		global $status, $page;
  
! 		$status = isset( $_REQUEST['theme_status'] ) ? $_REQUEST['theme_status'] : 'all';
! 		if ( !in_array( $status, array( 'all', 'enabled', 'disabled', 'upgrade', 'search', 'broken' ) ) )
  			$status = 'all';
  
  		$page = $this->get_pagenum();
  
***************
*** 55,110 ****
  	}
  
  	function prepare_items() {
! 		global $status, $themes, $totals, $page, $orderby, $order, $s;
  
  		wp_reset_vars( array( 'orderby', 'order', 's' ) );
  
  		$themes = array(
! 			'all' => apply_filters( 'all_themes', get_themes() ),
  			'search' => array(),
  			'enabled' => array(),
  			'disabled' => array(),
! 			'upgrade' => array()
  		);
  
! 		$site_allowed_themes = get_site_allowed_themes();
! 		if ( !$this->is_site_themes ) {
! 			$allowed_themes = $site_allowed_themes;
! 			$themes_per_page = $this->get_items_per_page( 'themes_network_per_page' );
! 		} else {
! 			$allowed_themes = wpmu_get_blog_allowedthemes( $this->site_id );
  			$themes_per_page = $this->get_items_per_page( 'site_themes_network_per_page' );
  		}
  
! 		$current = get_site_transient( 'update_themes' );
  
  		foreach ( (array) $themes['all'] as $key => $theme ) {
! 			$theme_key = $theme['Stylesheet'];
! 
! 			if ( isset( $allowed_themes [ $theme_key ] ) )  {
! 				$themes['all'][$key]['enabled'] = true;
! 				$themes['enabled'][$key] = $themes['all'][$key];
! 			}
! 			else {
! 				$themes['all'][$key]['enabled'] = false;
! 				$themes['disabled'][$key] = $themes['all'][$key];
  			}
- 			if ( isset( $current->response[ $theme['Template'] ] ) )
- 				$themes['upgrade'][$key] = $themes['all'][$key];
  
! 			if ( $this->is_site_themes && isset( $site_allowed_themes[$theme_key] ) ) {
! 				unset( $themes['all'][$key] );
! 				unset( $themes['enabled'][$key] );
! 				unset( $themes['disabled'][$key] );
  			}
- 		}
  
! 		if ( !current_user_can( 'update_themes' ) || $this->is_site_themes )
! 			$themes['upgrade'] = array();
  
  		if ( $s ) {
  			$status = 'search';
! 			$themes['search'] = array_filter( $themes['all'], array( &$this, '_search_callback' ) );
  		}
  
  		$totals = array();
--- 50,96 ----
  	}
  
  	function prepare_items() {
! 		global $status, $totals, $page, $orderby, $order, $s;
  
  		wp_reset_vars( array( 'orderby', 'order', 's' ) );
  
  		$themes = array(
! 			'all' => apply_filters( 'all_themes', wp_get_themes() ),
  			'search' => array(),
  			'enabled' => array(),
  			'disabled' => array(),
! 			'upgrade' => array(),
! 			'broken' => $this->is_site_themes ? array() : wp_get_themes( array( 'errors' => true ) ),
  		);
  
! 		if ( $this->is_site_themes ) {
  			$themes_per_page = $this->get_items_per_page( 'site_themes_network_per_page' );
+ 			$allowed_where = 'site';
+ 		} else {
+ 			$themes_per_page = $this->get_items_per_page( 'themes_network_per_page' );
+ 			$allowed_where = 'network';
  		}
  
! 		$maybe_update = current_user_can( 'update_themes' ) && ! $this->is_site_themes && $current = get_site_transient( 'update_themes' );
  
  		foreach ( (array) $themes['all'] as $key => $theme ) {
! 			if ( $this->is_site_themes && $theme->is_allowed( 'network' ) ) {
! 				unset( $themes['all'][ $key ] );
! 				continue;
  			}
  
! 			if ( $maybe_update && isset( $current->response[ $key ] ) ) {
! 				$themes['all'][ $key ]->update = true;
! 				$themes['upgrade'][ $key ] = $themes['all'][ $key ];
  			}
  
! 			$filter = $theme->is_allowed( $allowed_where, $this->site_id ) ? 'enabled' : 'disabled';
! 			$themes[ $filter ][ $key ] = $themes['all'][ $key ];
! 		}
  
  		if ( $s ) {
  			$status = 'search';
! 			$themes['search'] = array_filter( array_merge( $themes['all'], $themes['broken'] ), array( &$this, '_search_callback' ) );
  		}
  
  		$totals = array();
***************
*** 115,133 ****
  			$status = 'all';
  
  		$this->items = $themes[ $status ];
  		$total_this_page = $totals[ $status ];
  
  		if ( $orderby ) {
  			$orderby = ucfirst( $orderby );
  			$order = strtoupper( $order );
  
! 			uasort( $this->items, array( &$this, '_order_callback' ) );
  		}
  
  		$start = ( $page - 1 ) * $themes_per_page;
  
  		if ( $total_this_page > $themes_per_page )
! 			$this->items = array_slice( $this->items, $start, $themes_per_page );
  
  		$this->set_pagination_args( array(
  			'total_items' => $total_this_page,
--- 101,127 ----
  			$status = 'all';
  
  		$this->items = $themes[ $status ];
+ 		WP_Theme::sort_by_name( $this->items );
+ 
+ 		$this->has_items = ! empty( $themes['all'] );
  		$total_this_page = $totals[ $status ];
  
  		if ( $orderby ) {
  			$orderby = ucfirst( $orderby );
  			$order = strtoupper( $order );
  
! 			if ( $orderby == 'Name' ) {
! 				if ( 'ASC' == $order )
! 					$this->items = array_reverse( $this->items );
! 			} else {
! 				uasort( $this->items, array( &$this, '_order_callback' ) );
! 			}
  		}
  
  		$start = ( $page - 1 ) * $themes_per_page;
  
  		if ( $total_this_page > $themes_per_page )
! 			$this->items = array_slice( $this->items, $start, $themes_per_page, true );
  
  		$this->set_pagination_args( array(
  			'total_items' => $total_this_page,
***************
*** 140,158 ****
  		if ( is_null( $term ) )
  			$term = stripslashes( $_REQUEST['s'] );
  
! 		$search_fields = array( 'Name', 'Title', 'Description', 'Author', 'Author Name', 'Author URI', 'Template', 'Stylesheet' );
! 		foreach ( $search_fields as $field )
! 			if ( stripos( $theme[ $field ], $term ) !== false )
  				return true;
  
  		return false;
  	}
  
  	function _order_callback( $theme_a, $theme_b ) {
  		global $orderby, $order;
  
! 		$a = $theme_a[$orderby];
! 		$b = $theme_b[$orderby];
  
  		if ( $a == $b )
  			return 0;
--- 134,160 ----
  		if ( is_null( $term ) )
  			$term = stripslashes( $_REQUEST['s'] );
  
! 		foreach ( array( 'Name', 'Description', 'Author', 'Author', 'AuthorURI' ) as $field ) {
! 			// Don't mark up; Do translate.
! 			if ( false !== stripos( $theme->display( $field, false, true ), $term ) )
  				return true;
+ 		}
+ 
+ 		if ( false !== stripos( $theme->get_stylesheet(), $term ) )
+ 			return true;
+ 
+ 		if ( false !== stripos( $theme->get_template(), $term ) )
+ 			return true;
  
  		return false;
  	}
  
+ 	// Not used by any core columns.
  	function _order_callback( $theme_a, $theme_b ) {
  		global $orderby, $order;
  
! 		$a = $theme_a[ $orderby ];
! 		$b = $theme_b[ $orderby ];
  
  		if ( $a == $b )
  			return 0;
***************
*** 164,172 ****
  	}
  
  	function no_items() {
! 		global $themes;
! 
! 		if ( !empty( $themes['all'] ) )
  			_e( 'No themes found.' );
  		else
  			_e( 'You do not appear to have any themes available at this time.' );
--- 166,172 ----
  	}
  
  	function no_items() {
! 		if ( ! $this->has_items )
  			_e( 'No themes found.' );
  		else
  			_e( 'You do not appear to have any themes available at this time.' );
***************
*** 209,214 ****
--- 209,217 ----
  				case 'upgrade':
  					$text = _n( 'Update Available <span class="count">(%s)</span>', 'Update Available <span class="count">(%s)</span>', $count );
  					break;
+ 				case 'broken' :
+ 					$text = _n( 'Broken <span class="count">(%s)</span>', 'Broken <span class="count">(%s)</span>', $count );
+ 					break;
  			}
  
  			if ( $this->is_site_themes )
***************
*** 260,273 ****
  	}
  
  	function single_row( $key, $theme ) {
! 		global $status, $page, $s;
  
  		$context = $status;
  
! 		if ( $this->is_site_themes )
  			$url = "site-themes.php?id={$this->site_id}&amp;";
! 		else
  			$url = 'themes.php?';
  
  		// preorder
  		$actions = array(
--- 263,279 ----
  	}
  
  	function single_row( $key, $theme ) {
! 		global $status, $page, $s, $totals;
  
  		$context = $status;
  
! 		if ( $this->is_site_themes ) {
  			$url = "site-themes.php?id={$this->site_id}&amp;";
! 			$allowed = $theme->is_allowed( 'site', $this->site_id );
! 		} else {
  			$url = 'themes.php?';
+ 			$allowed = $theme->is_allowed( 'network' );
+ 		}
  
  		// preorder
  		$actions = array(
***************
*** 277,306 ****
  			'delete' => ''
  		);
  
! 		$theme_key = $theme['Stylesheet'];
  
! 		if ( empty( $theme['enabled'] ) )
! 			$actions['enable'] = '<a href="' . esc_url( wp_nonce_url($url . 'action=enable&amp;theme=' . $theme_key . '&amp;paged=' . $page . '&amp;s=' . $s, 'enable-theme_' . $theme_key) ) . '" title="' . esc_attr__('Enable this theme') . '" class="edit">' . ( $this->is_site_themes ? __( 'Enable' ) : __( 'Network Enable' ) ) . '</a>';
! 		else
  			$actions['disable'] = '<a href="' . esc_url( wp_nonce_url($url . 'action=disable&amp;theme=' . $theme_key . '&amp;paged=' . $page . '&amp;s=' . $s, 'disable-theme_' . $theme_key) ) . '" title="' . esc_attr__('Disable this theme') . '">' . ( $this->is_site_themes ? __( 'Disable' ) : __( 'Network Disable' ) ) . '</a>';
  
  		if ( current_user_can('edit_themes') )
! 			$actions['edit'] = '<a href="' . esc_url('theme-editor.php?theme=' . urlencode( $theme['Name'] )) . '" title="' . esc_attr__('Open this theme in the Theme Editor') . '" class="edit">' . __('Edit') . '</a>';
  
! 		if ( empty( $theme['enabled'] ) && current_user_can( 'delete_themes' ) && ! $this->is_site_themes && $theme_key != get_option( 'stylesheet' ) && $theme_key != get_option( 'template' ) )
  			$actions['delete'] = '<a href="' . esc_url( wp_nonce_url( 'themes.php?action=delete-selected&amp;checked[]=' . $theme_key . '&amp;theme_status=' . $context . '&amp;paged=' . $page . '&amp;s=' . $s, 'bulk-themes' ) ) . '" title="' . esc_attr__( 'Delete this theme' ) . '" class="delete">' . __( 'Delete' ) . '</a>';
  
  		$actions = apply_filters( 'theme_action_links', array_filter( $actions ), $theme_key, $theme, $context );
  		$actions = apply_filters( "theme_action_links_$theme_key", $actions, $theme_key, $theme, $context );
  
! 		$class = empty( $theme['enabled'] ) ? 'inactive' : 'active';
! 		$checkbox_id = "checkbox_" . md5($theme['Name']);
! 		$checkbox = "<input type='checkbox' name='checked[]' value='" . esc_attr( $theme_key ) . "' id='" . $checkbox_id . "' /><label class='screen-reader-text' for='" . $checkbox_id . "' >" . __('Select') . " " . $theme['Name'] . "</label>";
  
! 		$description = '<p>' . $theme['Description'] . '</p>';
! 		$theme_name = $theme['Name'];
  
! 		$id = sanitize_title( $theme_name );
  
  		echo "<tr id='$id' class='$class'>";
  
--- 283,314 ----
  			'delete' => ''
  		);
  
! 		$theme_key = $theme->get_stylesheet();
  
! 		if ( ! $allowed ) {
! 			if ( ! $theme->errors() )
! 				$actions['enable'] = '<a href="' . esc_url( wp_nonce_url($url . 'action=enable&amp;theme=' . $theme_key . '&amp;paged=' . $page . '&amp;s=' . $s, 'enable-theme_' . $theme_key) ) . '" title="' . esc_attr__('Enable this theme') . '" class="edit">' . ( $this->is_site_themes ? __( 'Enable' ) : __( 'Network Enable' ) ) . '</a>';
! 		} else {
  			$actions['disable'] = '<a href="' . esc_url( wp_nonce_url($url . 'action=disable&amp;theme=' . $theme_key . '&amp;paged=' . $page . '&amp;s=' . $s, 'disable-theme_' . $theme_key) ) . '" title="' . esc_attr__('Disable this theme') . '">' . ( $this->is_site_themes ? __( 'Disable' ) : __( 'Network Disable' ) ) . '</a>';
+ 		}
  
  		if ( current_user_can('edit_themes') )
! 			$actions['edit'] = '<a href="' . esc_url('theme-editor.php?theme=' .  $theme_key ) . '" title="' . esc_attr__('Open this theme in the Theme Editor') . '" class="edit">' . __('Edit') . '</a>';
  
! 		if ( ! $allowed && current_user_can( 'delete_themes' ) && ! $this->is_site_themes && $theme_key != get_option( 'stylesheet' ) && $theme_key != get_option( 'template' ) )
  			$actions['delete'] = '<a href="' . esc_url( wp_nonce_url( 'themes.php?action=delete-selected&amp;checked[]=' . $theme_key . '&amp;theme_status=' . $context . '&amp;paged=' . $page . '&amp;s=' . $s, 'bulk-themes' ) ) . '" title="' . esc_attr__( 'Delete this theme' ) . '" class="delete">' . __( 'Delete' ) . '</a>';
  
  		$actions = apply_filters( 'theme_action_links', array_filter( $actions ), $theme_key, $theme, $context );
  		$actions = apply_filters( "theme_action_links_$theme_key", $actions, $theme_key, $theme, $context );
  
! 		$class = ! $allowed ? 'inactive' : 'active';
! 		$checkbox_id = "checkbox_" . md5( $theme->get('Name') );
! 		$checkbox = "<input type='checkbox' name='checked[]' value='" . esc_attr( $theme_key ) . "' id='" . $checkbox_id . "' /><label class='screen-reader-text' for='" . $checkbox_id . "' >" . __('Select') . " " . $theme->display('Name') . "</label>";
  
! 		$id = sanitize_html_class( $theme->get_stylesheet() );
  
! 		if ( ! empty( $totals['upgrade'] ) && ! empty( $theme->update ) )
! 			$class .= ' update';
  
  		echo "<tr id='$id' class='$class'>";
  
***************
*** 316,340 ****
  					echo "<th scope='row' class='check-column'>$checkbox</th>";
  					break;
  				case 'name':
! 					echo "<td class='theme-title'$style><strong>$theme_name</strong>";
  					echo $this->row_actions( $actions, true );
  					echo "</td>";
  					break;
  				case 'description':
! 					echo "<td class='column-description desc'$style>
! 						<div class='theme-description'>$description</div>
  						<div class='$class second theme-version-author-uri'>";
  
  					$theme_meta = array();
  
! 					if ( !empty( $theme['Version'] ) )
! 						$theme_meta[] = sprintf( __( 'Version %s' ), $theme['Version'] );
  
! 					if ( !empty( $theme['Author'] ) )
! 						$theme_meta[] = sprintf( __( 'By %s' ), $theme['Author'] );
  
! 					if ( !empty( $theme['Theme URI'] ) )
! 						$theme_meta[] = '<a href="' . $theme['Theme URI'] . '" title="' . esc_attr__( 'Visit theme homepage' ) . '">' . __( 'Visit Theme Site' ) . '</a>';
  
  					$theme_meta = apply_filters( 'theme_row_meta', $theme_meta, $theme_key, $theme, $status );
  					echo implode( ' | ', $theme_meta );
--- 324,351 ----
  					echo "<th scope='row' class='check-column'>$checkbox</th>";
  					break;
  				case 'name':
! 					echo "<td class='theme-title'$style><strong>" . $theme->display('Name') . "</strong>";
  					echo $this->row_actions( $actions, true );
  					echo "</td>";
  					break;
  				case 'description':
! 					echo "<td class='column-description desc'$style>";
! 					if ( $theme->errors() ) {
! 						$pre = $status == 'broken' ? '' : __( 'Broken Theme:' ) . ' ';
! 						echo '<p><strong class="attention">' . $pre . $theme->errors()->get_error_message() . '</strong></p>';
! 					}
! 					echo "<div class='theme-description'><p>" . $theme->display( 'Description' ) . "</p></div>
  						<div class='$class second theme-version-author-uri'>";
  
  					$theme_meta = array();
  
! 					if ( $theme->get('Version') )
! 						$theme_meta[] = sprintf( __( 'Version %s' ), $theme->display('Version') );
  
! 					$theme_meta[] = sprintf( __( 'By %s' ), $theme->display('Author') );
  
! 					if ( $theme->get('ThemeURI') )
! 						$theme_meta[] = '<a href="' . $theme->display('ThemeURI') . '" title="' . esc_attr__( 'Visit theme homepage' ) . '">' . __( 'Visit Theme Site' ) . '</a>';
  
  					$theme_meta = apply_filters( 'theme_row_meta', $theme_meta, $theme_key, $theme, $status );
  					echo implode( ' | ', $theme_meta );
***************
*** 357,361 ****
  		do_action( "after_theme_row_$theme_key", $theme_key, $theme, $status );
  	}
  }
- 
- ?>
--- 368,370 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/includes/class-wp-ms-users-list-table.php ./wordpress-3.4/wp-admin/includes/class-wp-ms-users-list-table.php
*** ./wordpress-3.3.2/wp-admin/includes/class-wp-ms-users-list-table.php	2011-10-03 11:30:07.000000000 -0500
--- ./wordpress-3.4/wp-admin/includes/class-wp-ms-users-list-table.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 242,248 ****
  									if ( get_blog_status( $val->userblog_id, 'archived' ) == 1 )
  										$class .= 'site-archived ';
  
! 									$actions['view'] = '<a class="' . $class . '" href="' .  esc_url( get_home_url( $val->userblog_id ) )  . '">' . __( 'View' ) . '</a>';
  
  									$actions = apply_filters('ms_user_list_site_actions', $actions, $val->userblog_id);
  
--- 241,247 ----
  									if ( get_blog_status( $val->userblog_id, 'archived' ) == 1 )
  										$class .= 'site-archived ';
  
! 									$actions['view'] = '<a class="' . $class . '" href="' . esc_url( get_home_url( $val->userblog_id ) ) . '">' . __( 'View' ) . '</a>';
  
  									$actions = apply_filters('ms_user_list_site_actions', $actions, $val->userblog_id);
  
***************
*** 274,278 ****
  		}
  	}
  }
- 
- ?>
--- 273,275 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/includes/class-wp-plugin-install-list-table.php ./wordpress-3.4/wp-admin/includes/class-wp-plugin-install-list-table.php
*** ./wordpress-3.3.2/wp-admin/includes/class-wp-plugin-install-list-table.php	2011-10-20 10:04:46.000000000 -0500
--- ./wordpress-3.4/wp-admin/includes/class-wp-plugin-install-list-table.php	2012-05-09 11:27:24.000000000 -0500
***************
*** 33,39 ****
  		$tabs['featured'] = _x( 'Featured','Plugin Installer' );
  		$tabs['popular']  = _x( 'Popular','Plugin Installer' );
  		$tabs['new']      = _x( 'Newest','Plugin Installer' );
- 		$tabs['updated']  = _x( 'Recently Updated','Plugin Installer' );
  
  		$nonmenu_tabs = array( 'plugin-information' ); //Valid actions to perform which do not have a Menu item.
  
--- 33,38 ----
***************
*** 48,54 ****
  
  		switch ( $tab ) {
  			case 'search':
! 				$type = isset( $_REQUEST['type'] ) ? stripslashes( $_REQUEST['type'] ) : '';
  				$term = isset( $_REQUEST['s'] ) ? stripslashes( $_REQUEST['s'] ) : '';
  
  				switch ( $type ) {
--- 47,53 ----
  
  		switch ( $tab ) {
  			case 'search':
! 				$type = isset( $_REQUEST['type'] ) ? stripslashes( $_REQUEST['type'] ) : 'term';
  				$term = isset( $_REQUEST['s'] ) ? stripslashes( $_REQUEST['s'] ) : '';
  
  				switch ( $type ) {
***************
*** 63,75 ****
  						break;
  				}
  
! 				add_action( 'install_plugins_table_header', 'install_search_form' );
  				break;
  
  			case 'featured':
  			case 'popular':
  			case 'new':
- 			case 'updated':
  				$args['browse'] = $tab;
  				break;
  
--- 62,73 ----
  						break;
  				}
  
! 				add_action( 'install_plugins_table_header', 'install_search_form', 10, 0 );
  				break;
  
  			case 'featured':
  			case 'popular':
  			case 'new':
  				$args['browse'] = $tab;
  				break;
  
***************
*** 205,211 ****
  						break;
  					case 'latest_installed':
  					case 'newer_installed':
! 						$action_links[] = '<span title="' . esc_attr__( 'This plugin is already installed and is up to date' ) . ' ">' . __( 'Installed' ) . '</span>';
  						break;
  				}
  			}
--- 203,209 ----
  						break;
  					case 'latest_installed':
  					case 'newer_installed':
! 						$action_links[] = '<span title="' . esc_attr__( 'This plugin is already installed and is up to date' ) . ' ">' . _x( 'Installed', 'plugin' ) . '</span>';
  						break;
  				}
  			}
***************
*** 219,237 ****
  			<td class="vers column-version"<?php echo $style['version']; ?>><?php echo $version; ?></td>
  			<td class="vers column-rating"<?php echo $style['rating']; ?>>
  				<div class="star-holder" title="<?php printf( _n( '(based on %s rating)', '(based on %s ratings)', $plugin['num_ratings'] ), number_format_i18n( $plugin['num_ratings'] ) ) ?>">
! 					<div class="star star-rating" style="width: <?php echo esc_attr( $plugin['rating'] ) ?>px"></div>
! 					<?php
! 						$color = get_user_option('admin_color');
! 						if ( empty($color) || 'fresh' == $color )
! 							$star_url = admin_url( 'images/gray-star.png?v=20110615' ); // 'Fresh' Gray star for list tables
! 						else
! 							$star_url = admin_url( 'images/star.png?v=20110615' ); // 'Classic' Blue star
! 					?>
! 					<div class="star star5"><img src="<?php echo $star_url; ?>" alt="<?php esc_attr_e( '5 stars' ) ?>" /></div>
! 					<div class="star star4"><img src="<?php echo $star_url; ?>" alt="<?php esc_attr_e( '4 stars' ) ?>" /></div>
! 					<div class="star star3"><img src="<?php echo $star_url; ?>" alt="<?php esc_attr_e( '3 stars' ) ?>" /></div>
! 					<div class="star star2"><img src="<?php echo $star_url; ?>" alt="<?php esc_attr_e( '2 stars' ) ?>" /></div>
! 					<div class="star star1"><img src="<?php echo $star_url; ?>" alt="<?php esc_attr_e( '1 star' ) ?>" /></div>
  				</div>
  			</td>
  			<td class="desc column-description"<?php echo $style['description']; ?>><?php echo $description, $author; ?></td>
--- 217,223 ----
  			<td class="vers column-version"<?php echo $style['version']; ?>><?php echo $version; ?></td>
  			<td class="vers column-rating"<?php echo $style['rating']; ?>>
  				<div class="star-holder" title="<?php printf( _n( '(based on %s rating)', '(based on %s ratings)', $plugin['num_ratings'] ), number_format_i18n( $plugin['num_ratings'] ) ) ?>">
! 					<div class="star star-rating" style="width: <?php echo esc_attr( str_replace( ',', '.', $plugin['rating'] ) ); ?>px"></div>
  				</div>
  			</td>
  			<td class="desc column-description"<?php echo $style['description']; ?>><?php echo $description, $author; ?></td>
***************
*** 240,244 ****
  		}
  	}
  }
- 
- ?>
--- 226,228 ----
